$(document).ready(function(){
    $("#firstbutadd").prop("disabled",true);
$("#firstbutadd").mouseover(function(){
var empty = $("#getweightadd").val();
if(empty == "")
{
    $("#getweightadd").focus();
    $("#getweightadd").css("border","1px solid red");
    $("#getweightadd").css("box-shadow","2px 1px 3px 1px rgba(241, 70, 70, 0.979)");
    $("#firstbutadd").prop("disabled",true);
}
});

$("#firstbutadd").keyup(function(){
    var empty = $("#getweightadd").val();
    if(empty == "")
    {
        $("#getweightadd").focus();
        $("#getweightadd").css("border","1px solid red");
    $("#getweightadd").css("box-shadow","2px 1px 3px 1px rgba(241, 70, 70, 0.979)");
    $("#firstbutadd").prop("disabled",true);
    }
    });

    
            $("#remarkadd").keyup(function(){
                $("#remarkadd").css("border","1px solid skyblue");
                $("#remarkadd").css("box-shadow","2px 1px 3px 1px skyblue");
                $("#firstbutadd").prop("disabled",false);
            });
            $("#getweightbutton").keyup(function(){
                $("#getweightadd").css("border","1px solid skyblue");
                $("#getweightadd").css("box-shadow","2px 1px 3px 1px skyblue");
                $("#firstbutadd").prop("disabled",false);
                
            });
            $("#getweightbutton").click(function(){
                //alert('hai');
                $("#getweightadd").css("border","1px solid skyblue");
                $("#getweightadd").css("box-shadow","2px 1px 3px 1px skyblue");
                //$("#firstbutadd").prop("disabled",false);
            });
});




$(document).ready(function(){
    $(".updatefirsttran").mouseover(function(){
    var empty = $(".weightedit").val();
    if(empty == "")
    {
        $(".weightedit").focus();
        $(".weightedit").css("border","1px solid red");
        $(".weightedit").css("box-shadow","2px 1px 3px 1px rgba(241, 70, 70, 0.979)");
        $(".updatefirsttran").prop("disabled",true);
    }
    });
    
    $(".updatefirsttran").keyup(function(){
        var empty = $(".weightedit").val();
        if(empty == "")
        {
            $(".weightedit").focus();
            $(".weightedit").css("border","1px solid red");
        $(".weightedit").css("box-shadow","2px 1px 3px 1px rgba(241, 70, 70, 0.979)");
        }
        $(".updatefirsttran").prop("disabled",true);
        });
    
        $(".updatefirsttran").mouseover(function(){
            var remark = $(".remarkedit").val();
            if(remark == "")
            {
                $(".remarkedit").focus();
                $(".remarkedit").css("border","1px solid red");
        $(".remarkedit").css("box-shadow","2px 1px 3px 1px rgba(241, 70, 70, 0.979)");
            }
            $(".updatefirsttran").prop("disabled",true);
            });
            $(".updatefirsttran").keyup(function(){
                var remark = $(".remarkedit").val();
                if(remark == "")
                {
                    $(".remarkedit").focus();
                    $(".remarkedit").css("border","1px solid red");
        $(".remarkedit").css("box-shadow","2px 1px 3px 1px rgba(241, 70, 70, 0.979)");
        $(".updatefirsttran").prop("disabled",true);
                }
                });
                $(".remarkedit").keyup(function(){
                    $(".remarkedit").css("border","1px solid skyblue");
                    $(".remarkedit").css("box-shadow","2px 1px 3px 1px skyblue");
                    $(".updatefirsttran").prop("disabled",false);
                });
                $(".weightedit").keyup(function(){
                    $(".weightedit").css("border","1px solid skyblue");
                    $(".weightedit").css("box-shadow","2px 1px 3px 1px skyblue");
                    $(".updatefirsttran").prop("disabled",false);
                });
    });
    // $("#firstbutadd").mouseover(function(){

    //     var remark = $("#remarkadd").val();
    //     if(remark == "")
    //     {
    //         $("#remarkadd").focus();
    //         $("#remarkadd").css("border","1px solid red");
    // $("#remarkadd").css("box-shadow","2px 1px 3px 1px rgba(241, 70, 70, 0.979)");
    // $("#firstbutadd").prop("disabled",true);
    //     }
        
    //     });
    //     $("#firstbutadd").keyup(function(){
    //         var remark = $("#remarkadd").val();
    //         if(remark == "")
    //         {
    //             $("#remarkadd").focus();
    //             $("#remarkadd").css("border","1px solid red");
    // $("#remarkadd").css("box-shadow","2px 1px 3px 1px rgba(241, 70, 70, 0.979)");
    // $("#firstbutadd").prop("disabled",true);
    //         }
    //         });